## libnfs 3.0.0

=== lib/CMakeLists.txt ===
set(SOURCES init.c
            libnfs.c
            libnfs-sync.c
            libnfs-zdr.c
            nfs_v3.c
            nfs_v4.c
            pdu.c
            socket.c)

add_library(nfs ${SOURCES})
target_link_libraries(nfs PUBLIC ${core_DEPENDS})
set_target_properties(nfs PROPERTIES
                          VERSION ${PROJECT_VERSION}
                          SOVERSION ${SOVERSION})
add_dependencies(nfs ${core_DEPENDS})
add_definitions("-D_U_=__attribute__((unused))")

install(TARGETS nfs EXPORT nfs
                    RUNTIME DESTINATION bin
                    ARCHIVE DESTINATION lib
                    LIBRARY DESTINATION lib)

=== tests/CMakeLists.txt ===
find_library(DL_LIBRARY dl)

set(SOURCES prog_access
            prog_access2
            prog_chmod
            prog_chown
            prog_create
            prog_fchmod
            prog_fchown
            prog_fstat
            prog_ftruncate
            prog_lchmod
            prog_lchown
            prog_link
            prog_lseek
            prog_lstat
            prog_mkdir
            prog_mknod
            prog_mount
            prog_open_read
            prog_open_write
            prog_rename
            prog_rmdir
            prog_stat
            prog_statvfs
            prog_symlink
            prog_timeout
            prog_truncate
            prog_unlink
            prog_utimes)

foreach(TARGET ${SOURCES})
  add_executable(${TARGET} ${TARGET}.c)
  target_link_libraries(${TARGET} ${CORE_LIBRARIES})
  add_dependencies(${TARGET} nfs)
endforeach()

add_library(ld_timeout SHARED ld_timeout.c)
set_target_properties(ld_timeout PROPERTIES PREFIX "")
target_link_libraries(ld_timeout ${CORE_LIBRARIES} ${DL_LIBRARY})
add_dependencies(ld_timeout nfs)

file(GLOB TESTS test_*.sh)

file(COPY functions.sh DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

foreach(TEST ${TESTS})
  file(COPY ${TEST} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  add_test(NAME ${TEST}
           COMMAND ${TEST}
           WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endforeach()

add_definitions("-D_U_=__attribute__((unused))")

## libnfs 0.0~git20110724.48593f5

=== debian/changelog ===
libnfs (0.0~git20110724.48593f5-1) unstable; urgency=low

  * Update to latest upstream snapshot.
  * New snapshot installs libnfs raw headers.

 -- Andres Mejia <amejia@debian.org>  Sun, 24 Jul 2011 14:16:15 -0400

libnfs (0.0~git20110716.8c27363-1) unstable; urgency=low

  * Initial release. (Closes: #634086)

 -- Andres Mejia <amejia@debian.org>  Sat, 16 Jul 2011 20:14:02 -0400

=== debian/control ===
Source: libnfs
Section: libs
Priority: optional
Maintainer: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: https://github.com/sahlberg/libnfs
Vcs-Git: git://anonscm.debian.org/collab-maint/libnfs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libnfs.git

Package: libnfs-dev
Architecture: any
Section: libdevel
Depends: libnfs0 (= ${binary:Version}),
         ${misc:Depends}
Description: NFS client library (development files)
 LIBNFS is a client library for accessing NFS shares over a network.
 .
 LIBNFS offers three different APIs, for different use :
 1, RAW : A fully async low level rpc library for nfs protocols
 2, NFS ASYNC : A fully asynchronous library for high level vfs functions
 3, NFS SYNC : A synchronous library for high level vfs functions
 .
 This package provides the necessary files needed for development.

Package: libnfs0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NFS client library (shared library)
 LIBNFS is a client library for accessing NFS shares over a network.
 .
 LIBNFS offers three different APIs, for different use :
 1, RAW : A fully async low level rpc library for nfs protocols
 2, NFS ASYNC : A fully asynchronous library for high level vfs functions
 3, NFS SYNC : A synchronous library for high level vfs functions
 .
 This package provides the shared library.

## libnfs 1.2.0

=== debian/changelog ===
libnfs (1.2.0-4) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 18:11:12 -0400

libnfs (1.2.0-3) unstable; urgency=low

  * Make dpkg-source options default for packaging.

 -- Andres Mejia <amejia@debian.org>  Tue, 10 Jan 2012 17:57:45 -0500

libnfs (1.2.0-2) unstable; urgency=low

  * Include pkgconfig file in dev package.

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 22:55:21 -0500

libnfs (1.2.0-1) unstable; urgency=low

  * Prepare new upstream release. (Closes: #644482)
  * Rename shared library package for soname bump.
  * Remove git-buildpackage options which are already set by default.
  * Convert library to support multi-arch.
  * Update debian/copyright to follow latest stable DEP5 spec.
  * Provide options to pass to dpkg-source.

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 13:35:22 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(DEB_CFLAGS)

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean examples/Makefile

## libnfs 1.3.0

=== debian/changelog ===
libnfs (1.3.0-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on pkg-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 02 Jan 2014 20:31:27 -0500

libnfs (1.3.0-2) unstable; urgency=low

  * Update watch file to use tags to track new upstream releases.

 -- Andres Mejia <amejia@debian.org>  Sat, 05 May 2012 15:34:46 -0400

libnfs (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Andres Mejia <amejia@debian.org>  Sat, 05 May 2012 15:25:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libnfs
 Section: libs
 Priority: optional
-Maintainer: Andres Mejia <amejia@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andres Mejia <amejia@debian.org>
+Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf, pkg-config
+Standards-Version: 3.9.3
 Homepage: https://github.com/sahlberg/libnfs
 Vcs-Git: git://anonscm.debian.org/collab-maint/libnfs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libnfs.git
 
 Package: libnfs-dev
+Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libnfs0 (= ${binary:Version}),
+Depends: libnfs1 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -23,8 +25,10 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs0
+Package: libnfs1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: NFS client library (shared library)
  LIBNFS is a client library for accessing NFS shares over a network.

=== debian/watch ===
version=3
https://github.com/sahlberg/libnfs/tags .*/tarball/libnfs-(\d[\d\.]+)

## libnfs 1.9.5

=== debian/changelog ===
libnfs (1.9.5-2) unstable; urgency=medium

  * Really fix FTBFS on kFreeBSD/Hurd by back-porting fix (Closes: #754646)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 24 Jul 2014 19:21:59 +0200

libnfs (1.9.5-1) unstable; urgency=medium

  * [18c94b4] Use sockaddr_in6 instead of sockaddr6_in
    (Closes: #754646)
  * [28ee9de] libnfs.c: Fix autoreconnect
  * [037a106] libnfs.c: add nfs_create
  * [ea283cd] RPC: include libnfs-zdr.h from all raw libnfs-raw-*.h files
    (Closes: #753427)
  * [3429037] Merge pull request #85 from rsahlberg/remove-zhr.h-dependency
  * [2db42ce] ZDR: remove dependency on zdr.h from the examples and nfs-ls
  * [af8d37c] RPC: get rid of bool_t
  * [d663ff2] RPC: get rid of references to SCVXPRT
  * [ef1f869] RPC: get rid of all references to CLIENT

  [ Balint Reczey ]
  * Add myself to uploaders

  [ Jonathan McCrohan ]
  * Update watchfile to fix Github breakage (Closes: #693528)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 18 Jul 2014 17:59:33 +0200

libnfs (1.9.4-1) unstable; urgency=medium

  * [e1fa3e0] Add Conflicts against libnfs1 (Closes: #752142)
  * [3236e1a] Add versioned conflict/replace (Closes: #750899)
  * [f1f22db] Imported Upstream version 1.9.4 (Closes: #753132)
  * [4f1598e] Update symbols
  * [0401b13] Add Breaks instead of Conflicts
  * [e1fa3e0] Add Conflicts against libnfs1
  * [3236e1a] Add versioned conflict/replace (Closes: #750899)
  * [f1f22db] Imported Upstream version 1.9.4
  * [4f1598e] Update symbols
  * [0401b13] Add Breaks instead of Conflicts
  * [e200bda] Update debian/copyright with MIT/X11 (BSD Like) license
    (Closes: #749590)
  * [56b1efb] Add myself for packaging copyright and some minor tweaks

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 30 Jun 2014 14:42:28 +0530

libnfs (1.9.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 04 Jun 2014 11:02:41 +0530

libnfs (1.9.3-2) experimental; urgency=medium

  * [448c12b] Honor SO version number and package naming convention
  * [e03029e] Add version symbols file
    (Closes: #748600, #734034, #749123)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 27 May 2014 14:06:52 +0530

libnfs (1.9.3-1) unstable; urgency=medium

  * [ee87260] Imported Upstream version 1.9.3
  * [10a7a32] Add README.source
  * [885dbad] Use dh-autoreconf
  * [db8b33d] Take maintenance for libnfs (Closes: #743510)
  * [03bc113] Specify copyright format version

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 Apr 2014 22:22:04 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libnfs
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andres Mejia <amejia@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf, pkg-config
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: Balint Reczey <balint@balintreczey.hu>
+Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf
 Standards-Version: 3.9.3
 Homepage: https://github.com/sahlberg/libnfs
 Vcs-Git: git://anonscm.debian.org/collab-maint/libnfs.git
@@ -13,7 +13,7 @@
 Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libnfs1 (= ${binary:Version}),
+Depends: libnfs4 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -25,11 +25,13 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs1
+Package: libnfs4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libnfs1 ( >= 1.9.3-1 )
+Replaces: libnfs1 ( >= 1.9.3-1 )
 Description: NFS client library (shared library)
  LIBNFS is a client library for accessing NFS shares over a network.
  .

=== debian/watch ===
version=3
https://github.com/sahlberg/libnfs/tags .*/libnfs-(\d[\d\.]+)\.tar\.gz

## libnfs 1.9.7

=== debian/changelog ===
libnfs (1.9.7-2) unstable; urgency=high

  * [2fd90b4] Add missing licenses to debian/copyright (Closes: #792840)

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Tue, 21 Jul 2015 11:29:50 +0300

libnfs (1.9.7-1) unstable; urgency=medium

  * [e5aacea] Imported Upstream Version 1.9.7
  * [d7f5c0d] Add Conflicts/Breaks against libnfs4
  * [8e2a0c3] Update symbols and honor SO version number
  * [d5c425c] Update debian/copyright file
  * [051e201] Drop patch 0001-Use-sockaddr_in6-instead-of-sockaddr6_in.patch
  * [f36db06] Bump to Standards-Version 3.9.6
  * [2351aca] Update debian/watch file

  [Chrysostomos Nanakos]
  * Add myself to uploaders

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Thu, 09 Jul 2015 11:06:38 +0300

## libnfs 1.9.8

=== debian/changelog ===
libnfs (1.9.8-1) unstable; urgency=medium

  * [70b5489] Imported Upstream Version 1.9.8
  * [396d148] Update symbols

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Thu, 31 Dec 2015 17:13:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Uploaders: Balint Reczey <balint@balintreczey.hu>,
+           Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://github.com/sahlberg/libnfs
 Vcs-Git: git://anonscm.debian.org/collab-maint/libnfs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libnfs.git
@@ -13,7 +14,7 @@
 Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libnfs4 (= ${binary:Version}),
+Depends: libnfs8 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -25,13 +26,13 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs4
+Package: libnfs8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libnfs1 ( >= 1.9.3-1 )
-Replaces: libnfs1 ( >= 1.9.3-1 )
+Breaks: libnfs1 ( >= 1.9.3-1 ), libnfs4 ( >= 1.9.3-2 )
+Replaces: libnfs1 ( >= 1.9.3-1 ), libnfs4 ( >= 1.9.3-2 )
 Description: NFS client library (shared library)
  LIBNFS is a client library for accessing NFS shares over a network.
  .

=== debian/rules ===
#!/usr/bin/make -f

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(DEB_CFLAGS)

%:
	dh $@ --parallel --with autoreconf

override_dh_clean:
	dh_clean examples/Makefile

## libnfs 1.11.0

=== debian/changelog ===
libnfs (1.11.0-2) unstable; urgency=medium

  * Libnfs' rpc_set_interface() is available only on Linux (Closes: #843637)
  * Update d/control using cme fix.
    Including updating standards version to 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 10 Nov 2016 22:02:23 +0100

libnfs (1.11.0-1) unstable; urgency=medium

  * Imported Upstream version 1.11.0
  * Drop unused obsoleted patch
  * Update symbols file

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Oct 2016 23:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libnfs
-Section: libs
-Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>,
            Chrysostomos Nanakos <cnanakos@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf
-Standards-Version: 3.9.6
+Section: libs
+Priority: optional
+Build-Depends: debhelper (>= 8.1.3~),
+               dh-autoreconf
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libnfs.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libnfs.git
 Homepage: https://github.com/sahlberg/libnfs
-Vcs-Git: git://anonscm.debian.org/collab-maint/libnfs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libnfs.git
 
 Package: libnfs-dev
+Architecture: any
 Multi-Arch: same
-Architecture: any
 Section: libdevel
 Depends: libnfs8 (= ${binary:Version}),
          ${misc:Depends}
@@ -29,10 +30,13 @@
 Package: libnfs8
 Architecture: any
 Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libnfs1 ( >= 1.9.3-1 ), libnfs4 ( >= 1.9.3-2 )
-Replaces: libnfs1 ( >= 1.9.3-1 ), libnfs4 ( >= 1.9.3-2 )
+Breaks: libnfs1 (>= 1.9.3-1),
+        libnfs4
+Replaces: libnfs1 (>= 1.9.3-1),
+          libnfs4
 Description: NFS client library (shared library)
  LIBNFS is a client library for accessing NFS shares over a network.
  .

## libnfs 2.0.0

=== debian/changelog ===
libnfs (2.0.0-1~exp1) experimental; urgency=medium

  [ Debian's Automated Developer ]
  * New upstream version 2.0.0 (Closes: #888980)
  * Dropped 0001-Include-sys-sysmacros.h-on-platforms-that-have-it.patch
    which has been integrated upstream

  [ Balint Reczey ]
  * Bump SO version and library package name
  * Update symbols file(s)
  * Override false positive Lintian warning about non-free RFC
  * Update Vcs links to point to Salsa
  * Name BSD-3-Clause license specifically in debian/copyright

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Apr 2018 17:48:01 +0200

libnfs (1.11.0-3) unstable; urgency=medium

  * Include sys/sysmacros.h on platforms that have it to fix FTBFS
    (Closes: #882540)
  * Use my @ubuntu.com email address in Maintainer field

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 01 Feb 2018 11:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libnfs
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>,
+Uploaders: Balint Reczey <rbalint@ubuntu.com>,
            Chrysostomos Nanakos <cnanakos@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 8.1.3~),
                dh-autoreconf
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libnfs.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libnfs.git
+Vcs-Browser: https://salsa.debian.org/debian/libnfs.git
+Vcs-Git: https://salsa.debian.org/debian/libnfs.git
 Homepage: https://github.com/sahlberg/libnfs
 
 Package: libnfs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libnfs8 (= ${binary:Version}),
+Depends: libnfs11 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -27,7 +27,7 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs8
+Package: libnfs11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},

## libnfs 3.0.0

=== debian/changelog ===
libnfs (3.0.0-2) unstable; urgency=medium

  * Skip more tests failing in the Ubuntu autopkgtest infrastructure
    (Closes: 921578)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 11 Feb 2019 22:18:04 +0700

libnfs (3.0.0-1) unstable; urgency=medium

  * Set myself as the Maintainer with Ritesh's consent as I did the recent
    uploads. Thanks to Ritesh Raj Sarraf for maintaining libnfs in prior years!

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 08 Jan 2019 12:46:51 +0700

libnfs (3.0.0-1~exp2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Balint Reczey ]
  * Fix Vcs-Browser URL
  * New upstream version 3.0.0
  * Bump SO version to 12
  * Update symbols files
  * Clean up tests/Makefile, too
  * Add autopkgtest
  * Skip failing tests
  * Ship utilities in libnfs-utils (Closes: #754959)
  * Build examples during package build
  * Enable Salsa CI

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 05 Jan 2019 23:28:56 +0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libnfs
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>,
+Maintainer: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Chrysostomos Nanakos <cnanakos@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 8.1.3~),
-               dh-autoreconf
+               dh-autoreconf,
+               libpopt-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://salsa.debian.org/debian/libnfs.git
+Vcs-Browser: https://salsa.debian.org/debian/libnfs
 Vcs-Git: https://salsa.debian.org/debian/libnfs.git
 Homepage: https://github.com/sahlberg/libnfs
 
@@ -15,7 +16,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libnfs11 (= ${binary:Version}),
+Depends: libnfs12 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -27,7 +28,7 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs11
+Package: libnfs12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -46,3 +47,18 @@
  3, NFS SYNC : A synchronous library for high level vfs functions
  .
  This package provides the shared library.
+
+Package: libnfs-utils
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: NFS client library (binaries)
+ LIBNFS is a client library for accessing NFS shares over a network.
+ .
+ LIBNFS offers three different APIs, for different use :
+ 1, RAW : A fully async low level rpc library for nfs protocols
+ 2, NFS ASYNC : A fully asynchronous library for high level vfs functions
+ 3, NFS SYNC : A synchronous library for high level vfs functions
+ .
+ This package provides command line utilities.

=== debian/watch ===
version=3
https://github.com/sahlberg/libnfs/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|libnfs(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libnfs 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(libnfs
        LANGUAGES C
        VERSION 2.0.0)

set(SOVERSION 11.0.0 CACHE STRING "" FORCE)

set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Installation directory for libraries")
set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "Installation directory for headers")
set(INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Installation directory for manual pages")
set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")
set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_PREFIX}/lib/cmake/libnfs" CACHE PATH "Installation directory for cmake (.cmake) files")

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(ENABLE_TESTS "Build and run test programs" OFF)
option(ENABLE_DOCUMENTATION "Build Documentation" OFF)
option(ENABLE_UTILS "Build util programs" OFF)
option(ENABLE_EXAMPLES "Build example programs" OFF)

if(ENABLE_TESTS)
  set(ENABLE_UTILS ON CACHE BOOL "Building utils required by tests" FORCE)
endif()

include(cmake/Macros.cmake)
include(cmake/ConfigureChecks.cmake)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    include
                    include/nfsc)

set(CORE_LIBRARIES nfs)
set(core_DEPENDS "" CACHE STRING "" FORCE)

if(CMAKE_SYSTEM_NAME STREQUAL Windows)
  list(APPEND CORE_LIBRARIES -lws2_32.lib)
  add_subdirectory(win32)
elseif(CMAKE_SYSTEM_NAME STREQUAL Solaris)
  find_library(SOCKET_LIBRARY socket)
  find_library(NSL_LIBRARY nsl)
  list(APPEND CORE_LIBRARIES ${SOCKET_LIBRARY} ${NSL_LIBRARY})
elseif(CMAKE_SYSTEM_NAME STREQUAL aros)
  add_definitions(-DAROS)
  add_subdirectory(aros)
endif()

if(ENABLE_DOCUMENTATION)
  add_subdirectory(doc)
endif()

if(ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()

if(ENABLE_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif()

if(ENABLE_UTILS)
  add_subdirectory(utils)
endif()

add_subdirectory(mount)
add_subdirectory(nfs)
add_subdirectory(nfs4)
add_subdirectory(nlm)
add_subdirectory(nsm)
add_subdirectory(portmap)
add_subdirectory(rquota)
add_subdirectory(lib)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/libnfs-config-version.cmake
                                 VERSION ${PROJECT_VERSION}
                                 COMPATIBILITY AnyNewerVersion)

configure_file(cmake/libnfs.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libnfs.pc @ONLY)

install(DIRECTORY include/nfsc
        DESTINATION ${INSTALL_INC_DIR})

install(FILES mount/libnfs-raw-mount.h
              nfs/libnfs-raw-nfs.h
              nlm/libnfs-raw-nlm.h
              nsm/libnfs-raw-nsm.h
              portmap/libnfs-raw-portmap.h
              rquota/libnfs-raw-rquota.h
        DESTINATION ${INSTALL_INC_DIR}/nfsc)

install(FILES cmake/FindNFS.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/libnfs-config-version.cmake
        DESTINATION ${INSTALL_CMAKE_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libnfs.pc
        DESTINATION ${INSTALL_PKGCONFIG_DIR})

=== examples/CMakeLists.txt ===
find_library(TALLOC_LIBRARY talloc)
find_library(TALLOC_EVENT_LIBRARY tevent)
find_library(EVENT_LIBARY event)
find_library(POPT_LIBRARY popt)

list(APPEND CORE_LIBRARIES ${POPT_LIBRARY})

set(SOURCES nfsclient-async
            nfsclient-raw
            nfsclient-sync
            nfsclient-bcast
            nfsclient-listservers
            nfs-io
            nfs-ln
            portmap-client)

if(HAVE_TALLOC_TEVENT)
  list(APPEND SOURCES nfs4-cat-talloc)
  list(APPEND CORE_LIBRARIES ${TALLOC_EVENT_LIBRARY} ${TALLOC_LIBRARY})
endif()

if(EVENT_LIBARY)
  list(APPEND SOURCES nfs4-cat
                      portmap-server)
  list(APPEND CORE_LIBRARIES ${EVENT_LIBARY})
endif()

foreach(TARGET ${SOURCES})
  add_executable(${TARGET} ${TARGET}.c)
  target_link_libraries(${TARGET} ${CORE_LIBRARIES})
  add_dependencies(${TARGET} nfs)
endforeach()

add_definitions("-D_U_=__attribute__((unused))")

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 add_library(nfs ${SOURCES})
 target_link_libraries(nfs PUBLIC ${core_DEPENDS})
+target_include_directories(nfs PUBLIC ../include)
 set_target_properties(nfs PROPERTIES
                           VERSION ${PROJECT_VERSION}
                           SOVERSION ${SOVERSION})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
             prog_mount
             prog_open_read
             prog_open_write
+            prog_opendir
             prog_rename
             prog_rmdir
             prog_stat

=== utils/CMakeLists.txt ===
list(APPEND CORE_LIBRARIES ${SOCKET_LIBRARY})

set(SOURCES nfs-cat
            nfs-ls)

if(NOT CMAKE_SYSTEM_NAME STREQUAL Windows)
  list(APPEND SOURCES nfs-cp)
endif()

foreach(TARGET ${SOURCES})
  add_executable(${TARGET} ${TARGET}.c)
  target_link_libraries(${TARGET} ${CORE_LIBRARIES})
  add_dependencies(${TARGET} nfs)
endforeach()

add_definitions("-D_U_=__attribute__((unused))")

=== win32/CMakeLists.txt ===
set(SOURCES win32_compat.c)
set(HEADERS win32_compat.h
            win32_errnowrapper.h)

core_add_library(win32)

=== debian/changelog ===
libnfs (4.0.0-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:47 +0100

libnfs (4.0.0-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:17:03 +0200

libnfs (4.0.0-1) unstable; urgency=medium

  * Simplify Salsa CI configuration

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Sep 2019 23:13:17 +0200

libnfs (4.0.0-1~exp0) experimental; urgency=medium

  * autopkgtest: Re-enable Valgrind tests that don't fail
  * New upstream version 4.0.0 (Closes: #922121)
  * Refresh patches
  * Adjust package names to bumped SO version
  * Update symbols
  * debian/tests/v3v4: Decrease grace time to avoid NFS4ERR_GRACE errors
  * Skip failing nfs_fstat64 test
  * Update failing tests

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Aug 2019 22:58:02 +0200

=== debian/tests/control ===
Tests: v3v4
Depends: @, @builddeps@, libevent-dev, libtool-bin, nfs-kernel-server, sudo, valgrind
Restrictions: build-needed, isolation-machine, breaks-testbed, allow-stderr

## libnfs 5.0.2

=== debian/changelog ===
libnfs (5.0.2-1) unstable; urgency=medium

  * debian/rules: Don't pass --parallel and --with autoreconf to dh.
    Those are default with debhelper compat level 13.
  * debian/patches/0001-Skip-failing-tests.patch: Override newly added failing test
  * debian/tests/v3v4: Fail on first error

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Aug 2023 22:46:46 +0200

libnfs (5.0.2-1~exp1) experimental; urgency=medium

  * Remove myself as a Maintainer
  * debian/watch: Convert to version 4 format
  * debian/gbp.conf: Set upstream-branch to 'upstream'
  * debian/gbp.conf: Set upstream-vcs-tag to empty.
    The packaging repository imports whole tarballs only to the upstream
    branch.
  * New upstream version 5.0.2 (Closes: #1039578)
  * debian/tests/control: Adds needs-sudo restriction to autopkgtest
    (Closes: #983362)
  * Refresh patches
  * Bump SO version
  * debian/libnfs-utils.manpages: Ship manpages as installed by upstream
  * debian/not-installed: List not installed files
  * Bump compat version to 13

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 02 Jul 2023 12:09:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libnfs
-Maintainer: Balint Reczey <rbalint@ubuntu.com>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
-           Chrysostomos Nanakos <cnanakos@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>,
+Uploaders: Chrysostomos Nanakos <cnanakos@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3~),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
                libpopt-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://salsa.debian.org/debian/libnfs
@@ -16,7 +14,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libnfs12 (= ${binary:Version}),
+Depends: libnfs14 (= ${binary:Version}),
          ${misc:Depends}
 Description: NFS client library (development files)
  LIBNFS is a client library for accessing NFS shares over a network.
@@ -28,7 +26,7 @@
  .
  This package provides the necessary files needed for development.
 
-Package: libnfs12
+Package: libnfs14
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},

=== debian/tests/control ===
Tests: v3v4
Depends: @, @builddeps@, libevent-dev, libtool-bin, nfs-kernel-server, sudo, valgrind
Restrictions: build-needed, isolation-machine, breaks-testbed, needs-sudo, allow-stderr

=== debian/watch ===
version=4
https://github.com/sahlberg/libnfs/tags \
    (?:.*?/)@PACKAGE@-?v?@ANY_VERSION@@ARCHIVE_EXT@
